Description

added spacewire_get_last_error() call to the function spacewire_read_statistics

History

#1 - 03/02/2016 04:52 PM - bruno katra
répertoire /opt/LFR/LFR-FSW/3.0.0.18 créé et rempli avec le FSW 3.0.0.18

#2 - 04/02/2016 08:12 AM - Veronique bouzid

- Assignee set to thomas chust

2 tests ont été joués et se trouvent sur pc-instru/weekly erased /Thomas/run-2016-02-03.3.0.0.18-1.1.89
- premier test contient 1Th de NORMAL MODE avec les SWF =22s (2016-02-03_17_15_51%)
- deuxieme test contient 30mn de SBM1 suivi de 30mn de SBM2 2016-02-03_18_15_56%)

Voici donc le nouvel environnement de test

FSW 3.0.0.18

VHDL 1.1.89

EM sans Timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481
StarDundee

#3 - 04/02/2016 11:05 AM - thomas chust

- File tests_time_swf_VHDL-1.1.89_FSW-3.0.0.18_2016_02_03_test2 added
- File plot_delta SWF_F2_test2.png added

- File plot_delta_ SWF_F1_test2.png added

- File plot_delta_ SWF_FO0_test2.png added

- File tests_time_swf_VHDL-1.1.89_FSW-3.0.0.18_2016_02_03_test1 added
- File plot_delta_ SWF_F2_test1.png added

- File plot_delta_ SWF_F1_test1.png added

- File plot_delta_ SWF_FO0_test1.png added

- Assignee changed from thomas chust to paul leroy

- Priority changed from Normal to Urgent

analyse faite:

- test1: Th NM OK (méme plutét tres joli!)

- test2: 30min SBM1 + 30min SBM2 KO (pas joli du tout !') => dérive continue ...
Voir les fichiers joints

#4 - 04/02/2016 11:28 AM - paul leroy

J'ai regardé de mon c6té. Je ne vois pas ce défaut en démarrant en SBM1 par exemple et en commutant ensuite vers SBM2. J'ai des timecodes mais
pas de timegen. Quelle est votre configuration de test?

#5 - 04/02/2016 12:16 PM - paul leroy
- File 2016_02_04_11_59 _59.png added

- Assignee changed from paul leroy to Veronique bouzid
Voici un exemple des données que j'ai obtenues, avec les timecodes mais sans timegen:
Jeu de données considéré: 2016_02 _04_11_59 59

1) démarrage en SBM1, 22s de période pour les snapshots
2) passage en SBM2 juste apres le snasphot 20
3) passage en SBM1 juste aprés le 29

#6 - 04/02/2016 12:20 PM - Veronique bouzid

Le test n'utilise pas I'envoi de timecode.
Faut il que je relance les tests avec les timecodes initialisés?

#7 - 04/02/2016 02:25 PM - paul leroy
- File 2016_02_04 13 48 07.png added

J'ai essayé sans timecodes, résultats corrects:
Jeu de données 2016_02_04 13 48 07

1) SBM1 démarré a la date 0x33

2) SBM2 commuté juste apres le snapshot 23

#8 - 04/02/2016 02:27 PM - Veronique bouzid
1 test SBM1+ SBM2 + envoi automatique des timecode et se trouvent sur pc-instru/weekly erased /Thomas/run-2016-02-04-3.0.0.18.1.1.89.

#9 - 04/02/2016 02:28 PM - Veronique bouzid

- Assignee changed from Veronique bouzid to thomas chust

#10 - 04/02/2016 02:58 PM - thomas chust

- File plot_delta_ SWF_F2_test1.png added

- File plot_delta_ SWF_F1_test1.png added

- File plot_delta SWF_F0_test1.png added

- File tests_time_swf VHDL-1.1.89 FSW-3.0.0.18 2016 _02 04 test1 added

- Assignee changed from thomas chust to paul leroy

Je n'ai pas encore bien compris la manip (timecode ou pas, avec ou sans timegen ...) mais voila mes résultats (voir les fichiers). Cela semble correct,
il n'y a que le démarrage qui est Iégérement moins bon g'avant: on commence avec un écart supérieur a l'amplitude des oscillations.

#11 - 04/02/2016 03:28 PM - paul leroy

- Assignee changed from paul leroy to Veronique bouzid

Le premier décalage ne m'inquiéte pas plus que ¢a.

Serait-il possible que le test ou il y a une dérive continue n'ait pas été joué avec 3.0.0.18? Je ne vois pas d'autre explication possible a ce
comportement bizarre.

#12 - 04/02/2016 03:36 PM - thomas chust

- Assignee changed from Veronique bouzid to paul leroy

D'aprées Véro cela est absolument impossible. Il s'agit bien du méme FSW 3.0.0.18 mais la différence avec avant est I'usage d'un STANDBY de plus:
- STANBY puis enter mode NM

- RE-STANBY puis SBM1 + SBM2

Véro est partie refaire une manip avec exclusivement le SBM1+SBM2

Suite au prochain épisode ...

#13 - 04/02/2016 03:45 PM - Veronique bouzid

Impossible, nous avons lance LFR-SGSE avant notre test pour vérifier. On est des pros....

Par contre, le contexte du test lancé hier soir etait différent des précédents. Je m'explique
- les autres jours, je lancais 2 tests indépendants et a chaque fois en sortant de soc.

- test1 30mn de SBM1 + 30 mn de SBM2

- puis test2 1h de NORMAL

Hier on a lancé un seul test qui durait 2h

- Parametrage des SWF a 22S
- 1h de normal mode
- on est repassé en standby et on a fermé les fichiers de logs
- on a attendu 5s

- on est passé en SBM1 durant 30mn

- on est passé en SBM2 durant 30mn

Donc une piste pourrait etre que la transition NORMAL - STANDBY - SBM1-SBM2 a perturbé le fonctionnement.
Pour lever cette ambiguité, j'ai lancé le meme test que les autres jours

30mn de SBM1 + 30 mn de SBM2

donc sans time-code.

Thomas dépouillera le test d'ici 1h, il sera dispo sur pc-instru.
Si celui-ci est concluant, il faudra peut etre tenter d'investiger ce qui s'est passé.

#14 - 04/02/2016 03:52 PM - paul leroy

- Assignee changed from paul leroy to Veronique bouzid

Les erreurs, ¢a peut arriver. Vous rechargez le soft a chaque début de test ou c'est forcément la méme version du logiciel qui tourne? Si vous avez
les HK, c'est possible d'y jeter un oeil?

#15 - 04/02/2016 03:57 PM - Veronique bouzid

- Assignee changed from Veronique bouzid to paul leroy

les fichiers sont binaires et la decom de Bruno ne les decommute pas.
Je oeux tenter un editeur hexa pour voir.

#16 - 04/02/2016 04:38 PM - Veronique bouzid

- Assignee changed from paul leroy to thomas chust

les fichiers de test 30mn SBM1 + 30mn SBM2 sont disponibles sur pc-instru et dans run-2016-02-04-3.0.0.18.1.1.89/sans-timecode
2016_02_04_15_31_17*

Bon dépouillement.

#17 - 04/02/2016 04:54 PM - thomas chust

- File plot_delta_ SWF_F1_test2.png added

- File plot_delta_ SWF_F1_test1.png added

- File plot_delta_ SWF_FO0_test1.png added

- File tests_time_swf_VHDL-1.1.89_FSW-3.0.0.18_2016_02_04_b_test1 added

- Assignee changed from thomas chust to paul leroy

Voila le dépouillement. C'est nominal et plut6t trés bien! Donc on a eu un probléme avec le passge par STANDBY ...

#18 - 04/02/2016 04:58 PM - thomas chust
- File deleted (plot_delta SWF_F1_test2.png)

#19 - 04/02/2016 04:59 PM - thomas chust
- File plot_delta_ SWF_F2_test1.png added

Juste le nom de fichier qui était incorrect (le contenu était bon)

#20 - 05/02/2016 07:47 AM - paul leroy

- Assignee changed from paul leroy to Veronique bouzid

Bon, & suivre, et a vérifier lors des prochains tests.

#21 - 08/02/2016 03:33 PM - Veronique bouzid
- Status changed from New to Feedback

- Priority changed from Urgent to Low

Peut etre le fait de generer 2 fichiers au lieu d'un est une piste (utilisation de soc.lfrControlPlugin.Set_logPackets et
soc.lfrControlPlugin.Set_storePacketsRaw.

ce point n'est plus prioritaire car en 3.0.0.19, les resultats sont bons puisque j'ai adapté le script pour generer

toutes les données dans le meme fichier, ( soc.lfrControlPlugin.Set_logPackets (1) et soc.lfrControlPlugin.Set_storePacketsRaw (1) au début du test

et on ferme les logs a la fin du script (soc.lfrControlPlugin.Set_logPackets (0) et soc.lfrControlPlugin.Set_storePacketsRaw (0) .

#22 - 22/02/2016 10:37 AM - Veronique bouzid
- Status changed from Feedback to Closed
